Skip to main content
GET
/
staking
/
positions
TypeScript
const response: Promise<FireblocksResponse<StakingGetAllDelegationsResponse>> = fireblocks.staking.getAllDelegations(stakingApiGetAllDelegationsRequest);
[
  {
    "id": "b70701f4-d7b1-4795-a8ee-b09cdb5b850a",
    "vaultAccountId": "2",
    "validatorName": "FwR3P......tT59f",
    "providerName": "Kiln",
    "chainDescriptor": "SOL",
    "amount": "0.05",
    "rewardsAmount": "0.000856038",
    "dateCreated": "2023-07-13T15:55:34.256Z",
    "dateUpdated": "2023-07-13T15:55:34.256Z",
    "status": "active",
    "relatedTransactions": [
      {
        "txId": "b70601f4-d7b1-4795-a8ee-b09cdb4r850d",
        "completed": true
      },
      {
        "txId": "c80601f4-d7b1-4795-a8ee-b09cdb5b450c",
        "completed": false
      }
    ],
    "validatorAddress": "FwR3PbjS5iyqzLiLugrBqKSa5EKZ4vK9SKs7eQXtT59f",
    "providerId": "kiln",
    "availableActions": [
      "unstake"
    ],
    "inProgress": true,
    "blockchainPositionInfo": {
      "stakeAccountAddress": "3Ru67FyzMTcdENmmRL4Eve4dtPd6AdpuypR21q5EQCdq"
    },
    "inProgressTxId": "c80601f4-d7b1-4795-a8ee-b09cdb5b450c",
    "relatedRequests": [
      {
        "status": "deactivating",
        "inProgress": false,
        "amount": "0.05",
        "txId": "c80601f4-d7b1-4795-a8ee-b09cdb5b450c"
      }
    ]
  }
]

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

chainDescriptor
enum<string>

Protocol identifier to filter positions (e.g., ATOM_COS/AXL/CELESTIA}). If omitted, positions across all supported chains are returned. Protocol identifier for the staking operation.

Available options:
ATOM_COS,
AXL,
AXL_TEST,
CELESTIA,
DYDX_DYDX,
ETH,
ETH_TEST6,
ETH_TEST_HOODI,
INJ_INJ,
MANTRA,
MATIC,
OSMO,
SOL,
SOL_TEST,
STETH_ETH,
STETH_ETH_TEST6_DZFA,
STETH_ETH_TEST_HOODI
vaultAccountId
string<numeric>

Filter positions by vault account ID.

Example:

"1"

Response

Positions retrieved successfully.

id
string
required

The unique identifier of the staking position

Example:

"b70701f4-d7b1-4795-a8ee-b09cdb5b850a"

vaultAccountId
string
required

The source vault account to stake from

Example:

"2"

validatorName
string
required

The destination validator address name

Example:

"FwR3P......tT59f"

providerName
string
required

The destination validator provider name

Example:

"Kiln"

chainDescriptor
string
required

The protocol identifier (e.g. "ETH"/ "SOL") to use

Example:

"SOL"

amount
string
required

Total value of the staking position. For Solana, Lido and Ethereum (compounding validator): includes the original stake plus accumulated rewards. For MATIC, Cosmos and Ethereum (legacy validator): refers to the amount currently staked.

Example:

"0.05"

rewardsAmount
string
required

The amount staked in the position, measured in the staked asset unit.

Example:

"0.000856038"

dateCreated
string<date-time>
required

When was the request made (ISO Date).

Example:

"2023-07-13T15:55:34.256Z"

dateUpdated
string<date-time>
required

When has the position last changed (ISO Date).

Example:

"2023-07-13T15:55:34.256Z"

status
string
required

The current status.

Example:

"active"

An array of transaction objects related to this position. Each object includes a 'txId' representing the transaction ID and a 'completed' boolean indicating if the transaction was completed.

Example:
[
  {
    "txId": "b70601f4-d7b1-4795-a8ee-b09cdb4r850d",
    "completed": true
  },
  {
    "txId": "c80601f4-d7b1-4795-a8ee-b09cdb5b450c",
    "completed": false
  }
]
validatorAddress
string
required

The destination address of the staking transaction.

Example:

"FwR3PbjS5iyqzLiLugrBqKSa5EKZ4vK9SKs7eQXtT59f"

providerId
enum<string>
required

The unique identifier of the staking provider

Available options:
kiln,
figment,
lido,
p2p,
blockdaemon,
galaxy,
pierTwo,
kraken
Example:

"kiln"

availableActions
string[]
required

An array of available actions that can be performed. for example, actions like "unstake" or "withdraw".

Example:
["unstake"]
inProgress
boolean
required

Indicates whether there is an ongoing action for this position related to this request

Example:

true

blockchainPositionInfo
object
required

Additional fields per blockchain - can be empty or missing if not initialized or no additional info exists.

Example:
{
  "stakeAccountAddress": "3Ru67FyzMTcdENmmRL4Eve4dtPd6AdpuypR21q5EQCdq"
}
inProgressTxId
string

The transaction ID of the initial stake position request only. Only present when there is an active initial stake transaction.

Example:

"c80601f4-d7b1-4795-a8ee-b09cdb5b450c"

Example:
[
  {
    "status": "deactivating",
    "inProgress": false,
    "amount": "0.05",
    "txId": "c80601f4-d7b1-4795-a8ee-b09cdb5b450c"
  }
]